'use strict';

{{!-- ES6 source --}}
{{!-- after edition --}}
{{!-- need to be compiled to ES5 for IE11 support, and pasted in menu.hbs --}}
{{!-- https://babeljs.io/repl --}}
{{!-- or copy render function body below --}}

customElements.define('compodoc-menu', class extends HTMLElement {
    constructor() {
        super();
        this.isNormalMode = this.getAttribute('mode') === 'normal';
    }

    connectedCallback() {
        this.render(this.isNormalMode);
    }

    render(isNormalMode) {
        let tp = lithtml.html(`
        <nav>
            <ul class="list">
                <li class="title">
                    {{#if customLogo}}
                    <a href="index.html" data-type="index-link">
                        <img alt="" class="img-responsive" data-type="compodoc-logo" data-src={{strip-url "images/" customLogo}}> 
                    </a>
                    {{else}}
                    <a href="index.html" data-type="index-link">{{documentationMainName}}</a>
                    {{/if}}
                </li>

                <li class="divider"></li>
                ${ isNormalMode ? `{{#unless disableSearch}}{{> search-input }}{{/unless}}` : '' }
                <li class="chapter">
                    <a data-type="chapter-link" href="index.html"><span class="icon ion-ios-home"></span>{{t "getting-started"
                        }}</a>
                    <ul class="links">
                        {{#if readme}}
                        <li class="link">
                            <a href="overview.html" data-type="chapter-link">
                                <span class="icon ion-ios-keypad"></span>{{t "overview" }}
                            </a>
                        </li>
                        <li class="link">
                            <a href="index.html" data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>{{t "readme" }}
                            </a>
                        </li>
                        {{else}}
                        <li class="link">
                            <a href="index.html" data-type="chapter-link">
                                <span class="icon ion-ios-keypad"></span>{{t "overview" }}
                            </a>
                        </li>
                        {{/if}}
                        {{#each markdowns}}
                        <li class="link">
                            {{#compare name "!==" 'readme'}}
                            <a href="{{name}}.html" {{else}} <a href="index.html" {{/compare}} data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>{{uppername}}
                            </a>
                        </li>
                        {{/each}}
                        {{#unless disableDependencies}}
                            {{#orLength packageDependencies packagePeerDependencies}}
                                <li class="link">
                                    <a href="dependencies.html" data-type="chapter-link">
                                        <span class="icon ion-ios-list"></span>{{t "dependencies" }}
                                    </a>
                                </li>
                            {{/orLength}}
                        {{/unless}}
                        <!-- NPM DOC -->
                        <li class="link">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#npm-links-{{id}}"' : 'data-target="#xs-npm-links-{{id}}"' }>
                                <span class="icon ion-ios-paper"></span>
                                <span>{{t "NPM doc" }}</span>
                                <span class="icon {{#isNotToggle 'NPM doc'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse" ${ isNormalMode ? 'id="npm-links-{{id}}"' :
                                        'id="xs-npm-links-{{id}}"' }>
                                <li class="link">
                                    <a href="../npm-audit/report/index.html" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Npm report" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../npm-audit/guideline/index.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Npm guideline" }}
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <!-- DATABASE DOC -->
                        <li class="link">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#db-links-{{id}}"' : 'data-target="#xs-db-links-{{id}}"' }>
                                <span class="icon ion-ios-paper"></span>
                                <span>{{t "DATABASE doc" }}</span>
                                <span class="icon {{#isNotToggle 'NPM doc'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse" ${ isNormalMode ? 'id="db-links-{{id}}"' :
                                        'id="xs-db-links-{{id}}"' }>
                                <li class="link">
                                    <a href="../database-checkpoints/index.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Database Checkpoints" }}
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <!-- API DOC -->
                        <li class="link">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#apidoc-links-{{id}}"' : 'data-target="#xs-apidoc-links-{{id}}"' }>
                                <span class="icon ion-ios-paper"></span>
                                <span>{{t "API doc" }}</span>
                                <span class="icon {{#isNotToggle 'API doc'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse" ${ isNormalMode ? 'id="apidoc-links-{{id}}"' :
                                        'id="xs-apidoc-links-{{id}}"' }>
                                <li class="link">
                                    <a href="../../api" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Open Api Swagger" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../asyncapi-kafka/view" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Async Api Kafka" }}
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <!-- TEST DOC -->
                        <li class="link">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#testdoc-links-{{id}}"' : 'data-target="#xs-testdoc-links-{{id}}"' }>
                                <span class="icon ion-ios-paper"></span>
                                <span>{{t "TEST doc" }}</span>
                                <span class="icon {{#isNotToggle 'TEST doc'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse" ${ isNormalMode ? 'id="testdoc-links-{{id}}"' :
                                        'id="xs-testdoc-links-{{id}}"' }>
                                <li class="link">
                                    <a href="../../coverage/lcov-report" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "E2E and unit test report" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../bdd-cucumber/report/index.html" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Bdd test report" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../bdd-cucumber/guideline/index.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Bdd guideline" }}
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <!-- CI/CD DOC -->
                        <li class="link">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#cicddoc-links-{{id}}"' : 'data-target="#xs-cicddoc-links-{{id}}"' }>
                                <span class="icon ion-ios-paper"></span>
                                <span>{{t "CI/CD doc" }}</span>
                                <span class="icon {{#isNotToggle 'CI/CD doc'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse" ${ isNormalMode ? 'id="cicddoc-links-{{id}}"' :
                                        'id="xs-cicddoc-links-{{id}}"' }>
                                <li class="link">
                                    <a href="../cicd/index.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "AWS CICD workflow" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../cicd/AWS-cost-reduction-checklist.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "AWS Cost reduction checklist" }}
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <!-- FRONTEND DOC -->
                        <li class="link">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#frontenddoc-links-{{id}}"' : 'data-target="#xs-frontenddoc-links-{{id}}"' }>
                                <span class="icon ion-ios-paper"></span>
                                <span>{{t "FRONTEND doc" }}</span>
                                <span class="icon {{#isNotToggle 'FRONTEND doc'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse" ${ isNormalMode ? 'id="frontenddoc-links-{{id}}"' :
                                        'id="xs-frontenddoc-links-{{id}}"' }>
                                <li class="link">
                                    <a href="../guides/angular-guideline.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Angular guideline" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../guides/data-vizualisation-guideline.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "D3.js guideline" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../guides/ngrx-guideline.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Ngrx guideline" }}
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="../guides/scrum-guideline.pdf" target="_blank" data-type="chapter-link">
                                        <span class="icon ion-ios-paper"></span>{{t "Scrum guideline" }}
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <hr/>
                {{#if additionalPages}}
                    <li class="chapter additional">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#additional-pages"'
                            : 'data-target="#xs-additional-pages"' }>
                            <span class="icon ion-ios-book"></span>
                            <span>{{includesName}}</span>
                            <span class="icon {{#isNotToggle 'additionalPages'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'additionalPages'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="additional-pages"' : 'id="xs-additional-pages"' }>
                            {{#each additionalPages}}
                                {{#compare children.length ">" 0 }}
                                    {{#compare depth "===" 1 }}
                                    <li class="chapter inner">
                                        <a data-type="chapter-link" href="{{path}}/{{filename}}.html" data-context-id="additional">
                                            <div class="menu-toggler linked" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#additional-page-{{id}}"' : 'data-target="#xs-additional-page-{{id}}"' }>
                                                <span class="link-name">{{ name }}</span>
                                                <span class="icon ion-ios-arrow-down"></span>
                                            </div>
                                        </a>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="additional-page-{{id}}"' : 'id="xs-additional-page-{{id}}"' }>
                                            {{#each children}}
                                            <li class="link {{#compare depth ">" 1 }}for-chapter{{depth}}{{/compare}}">
                                                <a href="{{path}}/{{filename}}.html" data-type="entity-link" data-context="sub-entity" data-context-id="additional">{{ name }}</a>
                                            </li>
                                            {{/each}}
                                        </ul>
                                    </li>
                                    {{/compare}}
                                {{else}}
                                    <li class="link {{#compare depth ">" 1 }}for-chapter{{depth}}{{/compare}}">
                                        <a href="{{path}}/{{filename}}.html" data-type="entity-link" data-context-id="additional">{{ name }}</a>
                                    </li>
                                {{/compare}}
                            {{/each}}
                        </ul>
                    </li>
                {{/if}}
                {{#if modules}}
                    <li class="chapter modules">
                        <a data-type="chapter-link" href="modules.html">
                            <div class="menu-toggler linked" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#modules-links"' : 'data-target="#xs-modules-links"' }>
                                <span class="icon ion-ios-archive"></span>
                                <span class="link-name">{{t "modules" }}</span>
                                <span class="icon {{#isNotToggle 'modules'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                        </a>
                        <ul class="links collapse {{#isNotToggle 'modules'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="modules-links"' : 'id="xs-modules-links"' }>
                            {{#each modules}}
                            <li class="link">
                                <a href="modules/{{name}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                {{#compare compodocLinks.components.length ">" 0}}
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#components-links-{{id}}"' : 'data-target="#xs-components-links-{{id}}"' }>
                                            <span class="icon ion-md-cog"></span>
                                            <span>{{t "components" }}</span>
                                            <span class="icon {{#isNotToggle 'components'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="components-links-{{id}}"' :
                                            'id="xs-components-links-{{id}}"' }>
                                            {{#each compodocLinks.components}}
                                            <li class="link">
                                                <a href="components/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                            </li>
                                            {{/each}}
                                        </ul>
                                    </li>
                                {{/compare}}
                                {{#compare compodocLinks.controllers.length ">" 0}}
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#controllers-links-{{id}}"' : 'data-target="#xs-controllers-links-{{id}}"' }>
                                            <span class="icon ion-md-swap"></span>
                                            <span>{{t "controllers" }}</span>
                                            <span class="icon {{#isNotToggle 'controllers'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="controllers-links-{{id}}"' :
                                            'id="xs-controllers-links-{{id}}"' }>
                                            {{#each compodocLinks.controllers}}
                                            <li class="link">
                                                <a href="controllers/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                            </li>
                                            {{/each}}
                                        </ul>
                                    </li>
                                {{/compare}}
                                {{#compare compodocLinks.directives.length ">" 0}}
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#directives-links-{{id}}"' : 'data-target="#xs-directives-links-{{id}}"' }>
                                        <span class="icon ion-md-code-working"></span>
                                        <span>{{t "directives" }}</span>
                                        <span class="icon {{#isNotToggle 'directives'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="directives-links-{{id}}"' :
                                        'id="xs-directives-links-{{id}}"' }>
                                        {{#each compodocLinks.directives}}
                                        <li class="link">
                                            <a href="directives/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                        </li>
                                        {{/each}}
                                    </ul>
                                </li>
                                {{/compare}}
                                {{#compare compodocLinks.injectables.length ">" 0}}
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-{{id}}"' : 'data-target="#xs-injectables-links-{{id}}"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>{{t "injectables" }}</span>
                                        <span class="icon {{#isNotToggle 'injectables'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-{{id}}"' :
                                        'id="xs-injectables-links-{{id}}"' }>
                                        {{#each compodocLinks.injectables}}
                                        <li class="link">
                                            <a href="injectables/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                        </li>
                                        {{/each}}
                                    </ul>
                                </li>
                                {{/compare}}
                                {{#compare compodocLinks.pipes.length ">" 0}}
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#pipes-links-{{id}}"' : 'data-target="#xs-pipes-links-{{id}}"' }>
                                            <span class="icon ion-md-add"></span>
                                            <span>{{t "pipes" }}</span>
                                            <span class="icon {{#isNotToggle 'pipes'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="pipes-links-{{id}}"' :
                                            'id="xs-pipes-links-{{id}}"' }>
                                            {{#each compodocLinks.pipes}}
                                            <li class="link">
                                                <a href="pipes/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                            </li>
                                            {{/each}}
                                        </ul>
                                    </li>
                                {{/compare}}
                            </li>
                    {{/each}}
                </ul>
                </li>
                {{/if}}
                {{#if components}}
                    {{#element-alone components 'component'}}
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#components-links"' :
                            'data-target="#xs-components-links"' }>
                            <span class="icon ion-md-cog"></span>
                            <span>{{t "components" }}</span>
                            <span class="icon {{#isNotToggle 'components'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'components'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="components-links"' : 'id="xs-components-links"' }>
                            {{#each components}}
                            <li class="link">
                                <a href="components/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                            </li>
                            {{/each}}
                        </ul>
                    </li>
                    {{/element-alone}}
                {{/if}}
                {{#if controllers}}
                    {{#element-alone controllers 'controller'}}
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#controllers-links"' :
                                'data-target="#xs-controllers-links"' }>
                                <span class="icon ion-md-swap"></span>
                                <span>{{t "controllers" }}</span>
                                <span class="icon {{#isNotToggle 'controllers'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse {{#isNotToggle 'controllers'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="controllers-links"' : 'id="xs-controllers-links"' }>
                                {{#each controllers}}
                                <li class="link">
                                    <a href="controllers/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                </li>
                                {{/each}}
                            </ul>
                        </li>
                    {{/element-alone}}
                {{/if}}
                {{#if directives}}
                    {{#element-alone directives 'directive'}}
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#directives-links"' :
                                'data-target="#xs-directives-links"' }>
                                <span class="icon ion-md-code-working"></span>
                                <span>{{t "directives" }}</span>
                                <span class="icon {{#isNotToggle 'directives'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse {{#isNotToggle 'directives'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="directives-links"' : 'id="xs-directives-links"' }>
                                {{#each directives}}
                                <li class="link">
                                    <a href="directives/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                </li>
                                {{/each}}
                            </ul>
                        </li>
                    {{/element-alone}}
                {{/if}}
                {{#if classes}}
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#classes-links"' :
                            'data-target="#xs-classes-links"' }>
                            <span class="icon ion-ios-paper"></span>
                            <span>{{t "classes" }}</span>
                            <span class="icon {{#isNotToggle 'classes'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'classes'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="classes-links"' : 'id="xs-classes-links"' }>
                            {{#each classes}}
                            <li class="link">
                                <a href="classes/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                            </li>
                            {{/each}}
                        </ul>
                    </li>
                {{/if}}
                {{#if injectables}}
                    {{#element-alone injectables 'injectable'}}
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#injectables-links"' :
                                'data-target="#xs-injectables-links"' }>
                                <span class="icon ion-md-arrow-round-down"></span>
                                <span>{{t "injectables" }}</span>
                                <span class="icon {{#isNotToggle 'injectables'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse {{#isNotToggle 'injectables'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="injectables-links"' : 'id="xs-injectables-links"' }>
                                {{#each injectables}}
                                <li class="link">
                                    <a href="injectables/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                </li>
                                {{/each}}
                            </ul>
                        </li>
                    {{/element-alone}}
                {{/if}}
                {{#if interceptors}}
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#interceptors-links"' :
                            'data-target="#xs-interceptors-links"' }>
                            <span class="icon ion-ios-swap"></span>
                            <span>{{t "interceptors" }}</span>
                            <span class="icon {{#isNotToggle 'interceptors'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'interceptors'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="interceptors-links"' : 'id="xs-interceptors-links"' }>
                            {{#each interceptors}}
                            <li class="link">
                                <a href="interceptors/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                            </li>
                            {{/each}}
                        </ul>
                    </li>
                {{/if}}
                {{#if guards}}
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#guards-links"' :
                            'data-target="#xs-guards-links"' }>
                            <span class="icon ion-ios-lock"></span>
                            <span>{{t "guards" }}</span>
                            <span class="icon {{#isNotToggle 'guards'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'guards'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="guards-links"' : 'id="xs-guards-links"' }>
                            {{#each guards}}
                            <li class="link">
                                <a href="guards/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                            </li>
                            {{/each}}
                        </ul>
                    </li>
                {{/if}}
                {{#if interfaces}}
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#interfaces-links"' :
                            'data-target="#xs-interfaces-links"' }>
                            <span class="icon ion-md-information-circle-outline"></span>
                            <span>{{t "interfaces" }}</span>
                            <span class="icon {{#isNotToggle 'interfaces'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'interfaces'}}in{{/isNotToggle}}" ${ isNormalMode ? ' id="interfaces-links"' : 'id="xs-interfaces-links"' }>
                            {{#each interfaces}}
                            <li class="link">
                                <a href="interfaces/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                            </li>
                            {{/each}}
                        </ul>
                    </li>
                {{/if}}
                {{#if pipes}}
                    {{#element-alone pipes 'pipe'}}
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#pipes-links"' :
                                'data-target="#xs-pipes-links"' }>
                                <span class="icon ion-md-add"></span>
                                <span>{{t "pipes" }}</span>
                                <span class="icon {{#isNotToggle 'pipes'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                            </div>
                            <ul class="links collapse {{#isNotToggle 'pipes'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="pipes-links"' : 'id="xs-pipes-links"' }>
                                {{#each pipes}}
                                <li class="link">
                                    <a href="pipes/{{#if duplicateName}}{{duplicateName}}{{else}}{{name}}{{/if}}.html" data-type="entity-link" {{#if deprecated}}class="deprecated-name"{{/if}}>{{ name }}</a>
                                </li>
                                {{/each}}
                            </ul>
                        </li>
                    {{/element-alone}}
                {{/if}}
                {{#if miscellaneous}}
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#miscellaneous-links"'
                            : 'data-target="#xs-miscellaneous-links"' }>
                            <span class="icon ion-ios-cube"></span>
                            <span>{{t "miscellaneous" }}</span>
                            <span class="icon {{#isNotToggle 'miscellaneous'}}ion-ios-arrow-up{{else}}ion-ios-arrow-down{{/isNotToggle}}"></span>
                        </div>
                        <ul class="links collapse {{#isNotToggle 'miscellaneous'}}in{{/isNotToggle}}" ${ isNormalMode ? 'id="miscellaneous-links"' : 'id="xs-miscellaneous-links"' }>
                            {{#compare miscellaneous.enumerations.length ">" 0 }}
                            <li class="link">
                                <a href="miscellaneous/enumerations.html" data-type="entity-link">{{t "enums" }}</a>
                            </li>
                            {{/compare}}
                            {{#compare miscellaneous.functions.length ">" 0 }}
                            <li class="link">
                                <a href="miscellaneous/functions.html" data-type="entity-link">{{t "functions" }}</a>
                            </li>
                            {{/compare}}
                            {{#compare miscellaneous.typealiases.length ">" 0 }}
                            <li class="link">
                                <a href="miscellaneous/typealiases.html" data-type="entity-link">{{t "type-aliases" }}</a>
                            </li>
                            {{/compare}}
                            {{#compare miscellaneous.variables.length ">" 0 }}
                            <li class="link">
                                <a href="miscellaneous/variables.html" data-type="entity-link">{{t "variables" }}</a>
                            </li>
                            {{/compare}}
                        </ul>
                    </li>
                {{/if}}
                {{#unless disableRoutesGraph}}
                    {{#if routes}}
                        <li class="chapter">
                            <a data-type="chapter-link" href="routes.html"><span class="icon ion-ios-git-branch"></span>{{t "routes" }}</a>
                        </li>
                    {{/if}}
                {{/unless}}
                {{#unless disableCoverage}}
                    <li class="chapter">
                        <a data-type="chapter-link" href="coverage.html"><span class="icon ion-ios-stats"></span>{{t
                            "coverage-page-title" }}</a>
                    </li>
                {{/unless}}
                {{#if unitTestData}}
                    <li class="chapter">
                        <a data-type="chapter-link" href="unit-test.html"><span class="icon ion-ios-podium"></span>{{t
                            "unit-test-coverage" }}</a>
                    </li>
                {{/if}}
                {{#unless hideGenerator}}
                    <li class="divider"></li>
                    <li class="copyright">
                        {{t "generated-using" }} <a href="https://compodoc.app/" target="_blank">
                            {{#if theme }}
                            {{#compare theme "indexof" 'readthedocs,vagrant,postmark'}}
                            <img data-src="images/compodoc-vectorise-inverted.png" class="img-responsive" data-type="compodoc-logo">
                            {{else}}
                            <img data-src="images/compodoc-vectorise.png" class="img-responsive" data-type="compodoc-logo">
                            {{/compare}}
                            {{else}}
                            <img data-src="images/compodoc-vectorise.png" class="img-responsive" data-type="compodoc-logo">
                            {{/if}}
                        </a>
                    </li>
                {{/unless}}
            </ul>
        </nav>
        `);
        this.innerHTML = tp.strings;
    }
});